<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
>
    <ui:composition template="arch.xhtml">

        <ui:define name="head">
            <title>Pays et villes</title>
        </ui:define>

        <ui:define name="content">
            <b:form>
                <b:row styleClass="p-1rem">
                    <b:column colXs="12" colSm="4" colMd="4">
                        <b:selectOneMenu
                            label="Pays"
                            value="#{mbCountries.selectedCountry}"
                            valueChangeListener="#{mbCountries.resetSelectedCity()}"
                            update="ddlCity outCity"
                        >
                            <f:selectItem itemLabel="-" itemDisabled="true" noSelectionOption="true"/>
                            <f:selectItems
                                value="#{mbCountries.countries}"
                                var="country"
                                itemLabel="#{country}"
                                itemValue="#{country}"
                            />
                        </b:selectOneMenu>
                    </b:column>
                    <b:column colXs="12" colSm="4" colMd="4">
                        <b:selectOneMenu
                                id="ddlCity"
                                label="Ville"
                                value="#{mbCountries.selectedCity}"
                                update="outCity"
                        >
                            <f:selectItem itemLabel="-" itemDisabled="true" noSelectionOption="true"/>
                            <f:selectItems
                                    value="#{mbCountries.fetchCitiesFromCountry()}"
                                    var="city"
                                    itemLabel="#{city}"
                                    itemValue="#{city}"
                            />
                        </b:selectOneMenu>
                    </b:column>
                    <b:column colXs="12" colSm="4" colMd="4">
                        <h:outputText id="outCity" value="Ville sélectionnée : #{mbCountries.selectedCity}" />
                    </b:column>
                </b:row>
            </b:form>
        </ui:define>

    </ui:composition>
</html>